# $Revision: 1.18 $, $Date: 2006/08/09 17:05:36 $
Summary:	Multipurpose relay
Summary(pl):	Przekanik o wielu zastosowaniach
Name:		socat
Version:	1.5.0.0
Release:	1
License:	GPL
Group:		Networking/Utilities
Source0:	http://www.dest-unreach.org/socat/download/%{name}-%{version}.tar.bz2
# Source0-md5:	84b709de13e236198a4606fb4b80e123
URL:		http://www.dest-unreach.org/socat/
BuildRequires:	libwrap-devel >= 7.6-30
BuildRequires:	openssl-devel >= 0.9.7d
BuildRequires:	readline-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Socat is a relay for bidirectional data transfer between two
independent data channels. Each of these data channels may be a file,
pipe, device (terminal or modem, etc.), socket (Unix, IPv4, IPv6 -
raw, UDP, TCP), a client for SOCKS4, proxy CONNECT, or SSL, etc. It
provides forking, logging, and dumping, different modes for
interprocess communication, and many more options. It can be used, for
example, as a TCP relay (one-shot or daemon), as a daemon-based
socksifier, as a shell interface to Unix sockets, as an IPv6 relay,
for redirecting TCP-oriented programs to a serial line, or to
establish a relatively secure environment (su and chroot) for running
client or server shell scripts with network connections.

%description -l pl
Socat to przekanik do dwukierunkowego przesyania danych pomidzy
dwoma niezalenymi kanaami danych. Kady z tych kanaw moe by
plikiem, potokiem, urzdzeniem (terminalem, modemem itp.), gniazdem
(uniksowym, IPv4, IPv6 - surowym, UDP, TCP), klientem SOCKS4, proxy
CONNECT, albo SSL itp. Socat ma moliwo forkowania, logowania i
zrzucania danych, rne tryby komunikacji midzyprocesowej oraz wiele
innych opcji. Moe by uywane np. jako przekanik TCP (jednorazowy
lub demon), jako demon przesyajcy przez SOCKS, jako interfejs dla
powoki do gniazd uniksowych, jako przekanik IPv6, do
przekierowywania programw korzystajcych z TCP na port szeregowy albo
do stworzenia wzgldnie bezpiecznego rodowiska (su i chroot) do
uruchamiania klienckich lub serwerowych skryptw powoki z
poczeniami sieciowymi.

%prep
%setup -q
sed -i -e 's#-lssl#-lssl -lcrypto#g' configure*

%build
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_mandir}/man1}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc BUGREPORTS CHANGES DEVELOPMENT EXAMPLES FAQ README SECURITY
%attr(755,root,root) %{_bindir}/*
%{_mandir}/man?/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: socat.spec,v $
Revision 1.18  2006/08/09 17:05:36  wrobell
- ver. 1.5.0.0

Revision 1.17  2006/01/30 21:18:24  areq
- 1.4.3.1

Revision 1.16  2005/10/04 20:01:58  arekm
- link with both, ssl and crypto

Revision 1.15  2005/09/17 11:57:46  arekm
- new readline, 5.0

Revision 1.14  2005/09/11 15:17:28  areq
- 1.4.3.0

Revision 1.13  2005/04/09 13:40:26  darekr
- updated to 1.4.2.0

Revision 1.12  2004/12/11 22:17:21  paszczus
- updated to 1.4.1

Revision 1.11  2004/10/22 10:34:47  paszczus
- updated to 1.4.0.3

Revision 1.10  2004/10/06 15:19:01  darekr
- updated to 1.4.0.2

Revision 1.9  2004/09/12 11:16:33  darekr
- updated to 1.4.0.1

Revision 1.8  2004/03/19 23:46:37  ankry
- massive change: BR openssl-devel >= 0.9.7d

Revision 1.7  2004/02/05 19:55:26  eothane
- updated to 1.3.2.2

Revision 1.6  2003/08/18 08:09:34  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.5  2003/05/28 13:01:58  malekith
- massive attack: source-md5

Revision 1.4  2003/05/25 06:26:52  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.3  2003/04/21 01:21:43  qboosh
- pl

Revision 1.2  2003/04/15 09:45:17  misiek
- enable libwrap with fixed tcp_wrappers

Revision 1.1  2003/04/15 09:30:05  misiek
- inital pld release
